﻿@model App.Models.UserRegister

@{
                /**/

                ViewBag.Title = "Index";
                Layout = null;
}
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Registrace</title>

    <link href="@Url.Content("~/Content/bootstrap.min.css")" rel="stylesheet">
    <link href="@Url.Content("~/Content/formLoginRegister.css")" rel="stylesheet">
</head>

<body>
    <div class="float-right m-4">
        @Ajax.ActionLink("Domů", "Index", "Home", new { area = "" }, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "btn btn-primary" })
        @Ajax.ActionLink("Příhlášení", "Index", "Login", new { area = "" }, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "btn btn-primary" })
    </div>

    <div class="text-center">
        @using (Html.BeginForm("Add", "Register", FormMethod.Post, new { @class = "form-signin" }))
        {
            @Html.AntiForgeryToken()

            if (TempData["error"] != null)
            {
                <div class="alert alert-danger" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
                    @TempData["error"]
                </div>
            }

            <img class="mb-4" src="~/obrazky/icon/registration.png" alt="register" width="90" height="90">
            <h3>Prosím, zde se můžete zaregistrovat. <small>Vše je zdarma!</small></h3>

            <div class="form-group">
                @Html.TextBoxFor(x => x.Name, new { @class = "form-control", placeholder = "Jméno", id = "inputName", autofocus = "" })
                @Html.ValidationMessageFor(x => x.Name)

                @Html.TextBoxFor(x => x.Surname, new { @class = "form-control", placeholder = "Příjmení", id = "inputSurname" })
                @Html.ValidationMessageFor(x => x.Surname)

                @Html.TextBoxFor(x => x.Login, new { @class = "form-control", placeholder = "Uživatelské jméno", id = "inputLogin" })
                @Html.ValidationMessageFor(x => x.Login)
            </div>

            <div class="row">
                <div class="col-sm-6 col-md-6">
                    <div class="form-group">
                        @Html.PasswordFor(x => x.Password, new { @class = "form-control", placeholder = "Heslo", id = "inputPassword" })
                        @Html.ValidationMessageFor(x => x.Password)
                    </div>
                </div>
                <div class="col-sm-6 col-md-6">
                    <div class="form-group">
                        @Html.PasswordFor(x => x.PasswordRepeat, new { @class = "form-control", placeholder = "Heslo znovu", id = "inputPasswordRepeat" })
                        @Html.ValidationMessageFor(x => x.PasswordRepeat)
                    </div>
                </div>
            </div>

            <button class="btn btn-lg btn-primary btn-block" type="submit">Zaregistrovat se</button>
            <p class="mt-5 mb-3 text-muted">&copy; 2018-2019</p>
        }
    </div>
</body>
</html>